.\"	$NetBSD$
.\"
.\"	$OpenBSD: dino.4,v 1.4 2004/02/17 19:30:22 jmc Exp $
.\"
.\" Copyright (c) 2003 Michael Shalayeff
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF MIND,
.\" USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 29, 2003
.Dt DINO 4 hp700
.Os
.Sh NAME
.Nm dino
.Nd Dino and Cujo Host/PCI bridges
.Sh SYNOPSIS
.Cd "dino* at phantomas?"
.Cd "com*  at dino?"
.Cd "pci*  at dino?"
.Sh DESCRIPTION
This driver supports
.Tn Dino
and
.Tn Cujo
Host/PCI bridges found in [ABC][0-9][0-9][0-9]-Class workstations and
GSC / HSC cards.
.Tn Cujo
is a 64 bit datapath version of
.Tn Dino .
.Pp
On some machines it may also provide an additional serial port through the
.Xr com 4
driver, or
.Tn PS/2
keyboard and mouse ports, though the latter are not yet supported.
.Sh MACHINES
An incomplete list of machines that use the
.Tn Dino
/
.Tn Cujo
Host/PCI bridges:
.Pp
.Bl -bullet -compact
.It
744
.It
748[i]
.It
A180[C]
.It
B132L[+], B160L, B180L+
.It
C132L, C160[L], C180, C200, C240, C360
.It
J2240
.It
D390
.It
R380, R390
.El
.Sh SEE ALSO
.Xr com 4 ,
.Xr intro 4 ,
.Xr pci 4 ,
.Xr phantomas 4
.Sh HISTORY
The
.Nm
driver
appeared in
.Ox 3.5 .
It was ported to
.Nx 2.0
by Jochen Kunz.
.Sh BUGS
.Nm
bridges of revision earlier than three may exhibit data corruption on DMA.
This hardware bug does not affect
.Nm cujo
or card mode
.Nm
bridges.
See HP Service Note Numbers A4190A-01 and A4191A-01 for more details.
Systems affected are those shipped before Aug 20, 1997 and
of models: B132L, B160L, C160, C180, C200, C240.
